BSG utilizes HTTP cookies (and similar or complementary technologies) to 1) make this website safe, functional, and accessible (through the use of mandatory cookies) and 2) understand how you use our website (through the use of optional cookies) in order to improve your experience and to provide you with personalized content.

The information in the cookie text files may be related to your personal preferences or your device and is intended to make the site operate according to your expectations. The information contained in cookies does not usually identify your identity directly but is helpful in providing you with a more personalized user experience.

In accordance with the requirements of the General Data Protection Regulation (GDPR) privacy and security law that governs how the personal data of individuals in the EU may be processed and transferred, we provide you the possibility to prohibit the use of certain types of cookies when you use our website.

Read our Cookie Notice and the Privacy Policy for detailed information on how BGS collects and uses cookies. Please note that prohibiting the use of certain types of cookies may affect your interaction with the website and limit the accessibility of services we offer you. Choose the appropriate category below to learn more and to disable cookies.

Accept All cookies*
*Recommended for comfortable use of the site
Accept only necessary cookies
Accept only selected cookies
Necessary cookies
Social media
Analytics
Marketing

BSG migrated to the new DevPortal
to ship the latest One API versions faster

Use it for up-to-date endpoints, guides, and changelogs

Go to the new DevPortal
Developer Docs
Number Intelligence

Get contact by ID

The method allows you to receive detailed information about an existing contact, which is contained in the system, and user fields of the contact.

To get a contact, make a request to this URL:

GET http://one-api.bsg.world/api/contacts/{id}

Request parameters

Parameter Required Type Description
id Yes integer ID of the contact to get information on (the contact ID is generated automatically by the BSG system when a contact is added).

Response parameters

Parameter Type Description
id integer Contact ID on which the query for information was made.
phone integer Contact phone number.
fields array Contains the embedded custom fields parameters
id string The ID of the data contact field .
value string The value specified in the contact field .
created_at datetime Contact creation date ― set automatically by the BSG system when a contact is added to the Contact Book. Display format ― Y-m-d H:i:s
groups array Contains embedded parameters of the list to which the contact is added
id string The ID of the contact list to which the contact is added .
name string The name of the list to which the contact is added .
description string The name of the list to which the contact is added .
default bool Indicates whether the contact list is a default one .
created_at datetime Date of creation/editing of the list to which the contact was added. Display Format ― Y-m-d H:i:s
hlr_status string Status of verifying the contact’s phone number against the HLR database. Possible values: sent, absent, active, unknown, failed.
hlr_last_check datetime Date and time when the contact’s phone number was last verified against the HLR database. Display Format ― Y-m-d H:i:s

If request is successful, you will receive a response:


{
  "data": {
    "id": 1,
    "phone": 33601148802,
    "fields": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "created_at": "2022-04-28 14:21:16",
    "groups": [
      {
        "id": 1,
        "name": "string",
        "description": "string",
        "default": 0,
        "created_at": "2022-04-28 14:21:16"
      }
    ],
    "hlr_status": "string",
    "hlr_last_check": "2022-04-28 14:21:16"
  }
}

Interested in a special offer?

Ready to reach further?
Let’s talk

I agree to BSG privacy policy
Submit

Useful Materials

Apple RCS on iPhone: What Changes for Business Messaging in EU and UK

Apple RCS is live on iPhone. Which EU and UK carriers support it and how to plan campaigns with SMS fallback.

Sender ID Registration in the EU and UK: Why Your SMS Gets Filtered

Why unregistered senders get filtered in the EU and UK, and what each country requires for sender ID registration.

RCS in Brazil: Carriers, Coverage and What Works for Brands in 2026

Vivo, Claro and TIM coverage, iPhone status, where RCS beats SMS in Brazil and how to launch with SMS fallback.